## com.google.appengine.api.datastore
Class ReadPolicy

    java.lang.Object
      com.google.appengine.api.datastore.ReadPolicy

    public final class ReadPolicy

extends java.lang.Object

Policy for reads.

Nested Class Summary
`static class` `ReadPolicy.Consistency` Setting the `Consistency` for reads allows you to decide whether freshness or availability is more important.

Constructor Summary
`ReadPolicy(ReadPolicy.Consistency consistency)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`ReadPolicy.Consistency` `getConsistency()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReadPolicy

    public ReadPolicy(ReadPolicy.Consistency consistency)

Method Detail

### getConsistency

    public ReadPolicy.Consistency getConsistency()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`